From 6d98fcf7a7cff407b0bc2ba792b0f1b77d46fb9c Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Thu, 28 Jun 2018 12:24:34 +0200
Subject: [PATCH] Replace search.cpan.org with metacpan.org

search.cpan.org has been EOL'd, with metacpan.org being the
official replacement to which URLs now redirect.  Update
links to match the new URL. Also update links to CPAN to use
https as it will redirect from http.
---
 contrib/fuzzystrmatch/dmetaphone.c  | 2 +-
 doc/src/sgml/acronyms.sgml          | 2 +-
 doc/src/sgml/external-projects.sgml | 2 +-
 doc/src/sgml/install-windows.sgml   | 2 +-
 src/pl/plperl/ppport.h              | 2 +-
 src/test/perl/PostgresNode.pm       | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/contrib/fuzzystrmatch/dmetaphone.c b/contrib/fuzzystrmatch/dmetaphone.c
index 16e4c66167..bff20b37e6 100644
--- a/contrib/fuzzystrmatch/dmetaphone.c
+++ b/contrib/fuzzystrmatch/dmetaphone.c
@@ -52,7 +52,7 @@
 /***************************** COPYRIGHT NOTICES ***********************
 
 Most of this code is directly from the Text::DoubleMetaphone perl module
-version 0.05 available from http://www.cpan.org.
+version 0.05 available from https://www.cpan.org/.
 It bears this copyright notice:
 
 
diff --git a/doc/src/sgml/acronyms.sgml b/doc/src/sgml/acronyms.sgml
index 638ffc9fe8..d17b6ff8f0 100644
--- a/doc/src/sgml/acronyms.sgml
+++ b/doc/src/sgml/acronyms.sgml
@@ -71,7 +71,7 @@
     <term><acronym>CPAN</acronym></term>
     <listitem>
      <para>
-      <ulink url="http://www.cpan.org/">Comprehensive Perl Archive Network</ulink>
+      <ulink url="https://www.cpan.org/">Comprehensive Perl Archive Network</ulink>
      </para>
     </listitem>
    </varlistentry>
diff --git a/doc/src/sgml/external-projects.sgml b/doc/src/sgml/external-projects.sgml
index 347b830736..df5ca54984 100644
--- a/doc/src/sgml/external-projects.sgml
+++ b/doc/src/sgml/external-projects.sgml
@@ -65,7 +65,7 @@
       <entry>DBD::Pg</entry>
       <entry>Perl</entry>
       <entry>Perl DBI driver</entry>
-      <entry><ulink url="http://search.cpan.org/dist/DBD-Pg/"></ulink></entry>
+      <entry><ulink url="https://metacpan.org/release/DBD-Pg/"></ulink></entry>
      </row>
 
      <row>
diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index 02d2c6f846..e345471c85 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -473,7 +473,7 @@ $ENV{CONFIG}="Debug";
       ActiveState Perl installation, nor in the ActiveState Perl Package
       Manager (PPM) library. To install, download the
       <filename>IPC-Run-&lt;version&gt;.tar.gz</filename> source archive from CPAN,
-      at <ulink url="http://search.cpan.org/dist/IPC-Run/"></ulink>, and
+      at <ulink url="https://metacpan.org/release/IPC-Run/"></ulink>, and
       uncompress. Edit the <filename>buildenv.pl</filename> file, and add a PERL5LIB
       variable to point to the <filename>lib</filename> subdirectory from the
       extracted archive. For example:
diff --git a/src/pl/plperl/ppport.h b/src/pl/plperl/ppport.h
index 8c2365674f..cd8beb38dd 100644
--- a/src/pl/plperl/ppport.h
+++ b/src/pl/plperl/ppport.h
@@ -325,7 +325,7 @@ before sending a bug report.
 
 If F<ppport.h> was generated using the latest version of
 C<Devel::PPPort> and is causing failure of this module, please
-file a bug report using the CPAN Request Tracker at L<http://rt.cpan.org/>.
+file a bug report using the CPAN Request Tracker at L<https://rt.cpan.org/>.
 
 Please include the following information:
 
diff --git a/src/test/perl/PostgresNode.pm b/src/test/perl/PostgresNode.pm
index d12dd60e73..5f848a0db7 100644
--- a/src/test/perl/PostgresNode.pm
+++ b/src/test/perl/PostgresNode.pm
@@ -1222,7 +1222,7 @@ sub psql
 	# and set the flag.  Otherwise, and for any other exception, rethrow.
 	#
 	# For background, see
-	# http://search.cpan.org/~ether/Try-Tiny-0.24/lib/Try/Tiny.pm
+	# https://metacpan.org/pod/release/ETHER/Try-Tiny-0.24/lib/Try/Tiny.pm
 	do
 	{
 		local $@;
-- 
2.14.1.145.gb3622a4ee

